summaryrefslogtreecommitdiff
path: root/pinyadmin/sbin
diff options
context:
space:
mode:
authorJoe Rayhawk <jrayhawk@omgwallhack.org>2011-12-08 23:24:05 -0800
committerJoe Rayhawk <jrayhawk@omgwallhack.org>2011-12-08 23:24:05 -0800
commit7e0cccfb334067f98b962a454ae65cd697c23515 (patch)
tree349f5c87db48f701fd4a641b133a9f6c5a93e928 /pinyadmin/sbin
parent9f5c49eaf1abbaae2065f64e372b4291d4fc6799 (diff)
downloadpiny-code-7e0cccfb334067f98b962a454ae65cd697c23515.tar.gz
piny-code-7e0cccfb334067f98b962a454ae65cd697c23515.zip
pinyadmin: adding piny-ikiwiki-mass-rebuild
Diffstat (limited to 'pinyadmin/sbin')
-rwxr-xr-xpinyadmin/sbin/piny-ikiwiki-mass-rebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/pinyadmin/sbin/piny-ikiwiki-mass-rebuild b/pinyadmin/sbin/piny-ikiwiki-mass-rebuild
new file mode 100755
index 0000000..5abe7ba
--- /dev/null
+++ b/pinyadmin/sbin/piny-ikiwiki-mass-rebuild
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+for i in $(find /etc/ikiwiki/piny/* -maxdepth 0 -type f -iname '*.setup' -printf "%f\n" | perl -pe 's/.setup$//'); do
+ echo Rebuilding $i...
+ sudo sudo rebuildrepo $i; # two sudos needed to clear out $SUDO_USER
+done